## org.apache.lucene.queryParser.standard.config
Interface DefaultPhraseSlopAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  DefaultPhraseSlopAttributeImpl

    public interface DefaultPhraseSlopAttribute

extends Attribute

This attribute is used by `PhraseSlopQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor what is the default phrase slop when no slop is defined in a phrase.

Method Summary
`int` `getDefaultPhraseSlop()`
`void` `setDefaultPhraseSlop(int defaultPhraseSlop)`

Method Detail

### setDefaultPhraseSlop

    void setDefaultPhraseSlop(int defaultPhraseSlop)

### getDefaultPhraseSlop

    int getDefaultPhraseSlop()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.